<!DOCTYPE html>
<title>Tambah Data Pegawai</title>
<div>
  <form action="/pegawai" method="POST">
    <table>
      <tr>
        <td>Nama</td>
        <td>:</td>
        <td>
          <input type="text" name="nama">
        </td>
      </tr>
      <tr>
        <td>Jenis Kepegawaian</td>
        <td>:</td>
        <td>
          <select name="tipe_jabatan" id="jabatan" onchange="tampilkanPangkatGolongan()">
            <option value="pns">PNS</option>
            <option value="honorer">Honorer</option>
          </select>
        </td>
      </tr>
    </table>
    <table id="pangkat-golongan">
      <tr>
        <td>NIP</td>
        <td>:</td>
        <td>
          <input type="text" name="nip">
        </td>
      </tr>
      <tr>
        <td>Jabatan</td>
        <td>:</td>
        <td>
          <input type="text" name="jabatan">
        </td>
      </tr>
      <tr>
        <td>Pangkat dan Golongan</td>
        <td>:</td>
        <td>
          <select name="pangkat" id="pangkat">
            <option disabled>GOLONGAN IV</option>
            <option value='Pembina Utama'>(IV E) Pembina Utama</option>
            <option value='Pembina Utama Madya'>(IV D) Pembina Utama Madya</option>
            <option value='Pembina Utama Muda'>(IV C) Pembina Utama Muda</option>
            <option value='Pembina Tingkat I'>(IV B) Pembina Tingkat I</option>
            <option value='Pembina'>(IV A) Pembina</option>

            <option disabled>GOLONGAN III</option>
            <option value='Penata Tingkat I'>(III D) Penata Tingkat I</option>
            <option value='Penata'>(III C) Penata</option>
            <option value='Penata Muda Tingkat I'>(III B) Penata Muda Tingkat I</option>
            <option value='Penata Muda'>(III A) Penata Muda</option>

            <option disabled>GOLONGAN II</option>
            <option value="Pengatur Tingkat I">(II D) Pengatur Tingkat I</option>
            <option value="Pengatur">(II C) Pengatur</option>
            <option value="Pengatur Muda Tingkat I">(II B) Pengatur Muda Tingkat I</option>
            <option value="Pengatur Muda">(II A) Pengatur Muda</option>

            <option disabled>GOLONGAN I</option>
            <option value="Juru Tingkat I">(I D) Juru Tingkat I</option>
            <option value="Juru">(I C) Juru</option>
            <option value="Juru Muda Tingkat I">(I B) Juru Muda Tingkat I</option>
            <option value="Juru Muda">(I A) Juru Muda</option>                    
          </select>
        </td>
      </tr>
    </table>
    <div>
      <button type="submit">Submit</button>
    </div>
  </form>
</div>
<script>
  function tampilkanPangkatGolongan() {
    const selectTipeJabatan = document.querySelector('#jabatan');
    const tablePangkatGolongan = document.querySelector('#pangkat-golongan');

    if (selectTipeJabatan.value === 'honorer') {
      tablePangkatGolongan.style.display = 'none';
    } else {
      tablePangkatGolongan.style.display = 'block';
    }
  }
</script>